## ros-melodic-image-transport-plugins 1.9.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(image_transport_plugins)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-image-transport-plugins 1.9.5

=== debian/changelog ===
ros-melodic-image-transport-plugins (1.9.5-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 22:00:00 -0000

ros-melodic-image-transport-plugins (1.9.4-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sat, 01 Oct 2016 22:00:00 -0000

ros-melodic-image-transport-plugins (1.9.3-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Sat, 16 Jan 2016 23:00:00 -0000

ros-melodic-image-transport-plugins (1.9.2-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 24 Apr 2015 22:00:00 -0000

ros-melodic-image-transport-plugins (1.9.1-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jul 2014 22:00:00 -0000

ros-melodic-image-transport-plugins (1.9.0-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Thu, 15 May 2014 22:00:00 -0000

ros-melodic-image-transport-plugins (1.8.21-0stretch) stretch; urgency=high

  * maintainer: david gossow
  * buildtool_depend catkin, added metapackage CMakelists.txt
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Wed, 26 Jun 2013 22:00:00 -0000

ros-melodic-image-transport-plugins (1.8.20-0stretch) stretch; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Mar 2013 23:00:00 -0000

ros-melodic-image-transport-plugins (1.8.19-0stretch) stretch; urgency=high

  * 1.8.18 -> 1.8.19
  * removing build dependencies from meta package
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sat, 23 Feb 2013 23:00:00 -0000

ros-melodic-image-transport-plugins (1.8.18-0stretch) stretch; urgency=high

  * 1.8.17 -> 1.8.18
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 07 Feb 2013 16:59:00 -0000

ros-melodic-image-transport-plugins (1.8.17-0stretch) stretch; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 23:00:00 -0000

ros-melodic-image-transport-plugins (1.8.16-0stretch) stretch; urgency=high

  * 1.8.15 -> 1.8.16
  * removing build_tool dependency from meta package
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Wed, 16 Jan 2013 23:00:00 -0000

ros-melodic-image-transport-plugins (1.8.15-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 28 Dec 2012 19:11:00 -0000

ros-melodic-image-transport-plugins (1.8.14-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 28 Dec 2012 19:02:00 -0000

ros-melodic-image-transport-plugins (1.8.13-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 28 Dec 2012 18:06:00 -0000

ros-melodic-image-transport-plugins (1.8.12-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 18:30:00 -0000

ros-melodic-image-transport-plugins (1.8.11-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 16:17:00 -0000

ros-melodic-image-transport-plugins (1.8.10-0stretch) stretch; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 16:03:00 -0000

ros-melodic-image-transport-plugins (1.8.9-0stretch) stretch; urgency=high

  * switching to verion 1.8.9
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Tue, 18 Dec 2012 23:26:00 -0000

ros-melodic-image-transport-plugins (1.8.8-0stretch) stretch; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime
  * Updated package.xml for new buildtool_depend tag for catkin requirement
  * Contributors: Julius Kammerl, mirzashah

 -- David Gossow <dgossow@willowgarage.com>  Sun, 16 Dec 2012 23:00:00 -0000

ros-melodic-image-transport-plugins (1.8.7-0stretch) stretch; urgency=high

  * adding missing tf build dependency
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 10 Dec 2012 14:29:00 -0000

ros-melodic-image-transport-plugins (1.8.6-0stretch) stretch; urgency=high

  * switching to version 1.8.6
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 10 Dec 2012 14:08:00 -0000

ros-melodic-image-transport-plugins (1.8.5-0stretch) stretch; urgency=high

  * more meta package fixing.. adding build debs
  * fixing meta package
  * fixed meta package
  * switching to 1.8.5
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sat, 08 Dec 2012 23:00:00 -0000

ros-melodic-image-transport-plugins (1.8.4-0stretch) stretch; urgency=high

  * switching to version 1.8.4
  * adding image_transport_plugins meta package
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 29 Nov 2012 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-image-transport-plugins
Section: misc
Priority: extra
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-melodic-image-transport-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-compressed-depth-image-transport, ros-melodic-compressed-image-transport, ros-melodic-theora-image-transport
Description: A set of plugins for publishing and subscribing to sensor_msgs/Image topics in representations other than raw pixel data.
 For example, for viewing a stream of images off-robot, a video codec will give much lower bandwidth and latency. For low frame rate tranport of high-definition images, you might prefer sending them as JPEG or PNG-compressed form.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-image-transport-plugins//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-image-transport-plugins 1.9.6

=== debian/changelog ===
ros-melodic-image-transport-plugins (1.9.6-1bionic) bionic; urgency=high

  * Update maintainer in ros1 branches (#133 <https://github.com/ros-perception/image_transport_plugins/issues/133>)
  * Contributors: Kenji Brameld, ijnek

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 06:00:00 -0000

ros-melodic-image-transport-plugins (1.9.5-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 05:00:00 -0000

ros-melodic-image-transport-plugins (1.9.4-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 05:00:00 -0000

ros-melodic-image-transport-plugins (1.9.3-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-image-transport-plugins (1.9.2-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 05:00:00 -0000

ros-melodic-image-transport-plugins (1.9.1-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 05:00:00 -0000

ros-melodic-image-transport-plugins (1.9.0-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 05:00:00 -0000

ros-melodic-image-transport-plugins (1.8.21-1bionic) bionic; urgency=high

  * maintainer: david gossow
  * buildtool_depend catkin, added metapackage CMakelists.txt
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 05:00:00 -0000

ros-melodic-image-transport-plugins (1.8.20-1bionic) bionic; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 05:00:00 -0000

ros-melodic-image-transport-plugins (1.8.19-1bionic) bionic; urgency=high

  * 1.8.18 -> 1.8.19
  * removing build dependencies from meta package
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 06:00:00 -0000

ros-melodic-image-transport-plugins (1.8.18-1bionic) bionic; urgency=high

  * 1.8.17 -> 1.8.18
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 23:59:00 -0000

ros-melodic-image-transport-plugins (1.8.17-1bionic) bionic; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 06:00:00 -0000

ros-melodic-image-transport-plugins (1.8.16-1bionic) bionic; urgency=high

  * 1.8.15 -> 1.8.16
  * removing build_tool dependency from meta package
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-melodic-image-transport-plugins (1.8.15-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 02:11:00 -0000

ros-melodic-image-transport-plugins (1.8.14-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 02:02:00 -0000

ros-melodic-image-transport-plugins (1.8.13-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 01:06:00 -0000

ros-melodic-image-transport-plugins (1.8.12-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 20 Dec 2012 01:30:00 -0000

ros-melodic-image-transport-plugins (1.8.11-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 23:17:00 -0000

ros-melodic-image-transport-plugins (1.8.10-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 23:03:00 -0000

ros-melodic-image-transport-plugins (1.8.9-1bionic) bionic; urgency=high

  * switching to verion 1.8.9
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 06:26:00 -0000

ros-melodic-image-transport-plugins (1.8.8-1bionic) bionic; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime
  * Updated package.xml for new buildtool_depend tag for catkin requirement
  * Contributors: Julius Kammerl, mirzashah

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 17 Dec 2012 06:00:00 -0000

ros-melodic-image-transport-plugins (1.8.7-1bionic) bionic; urgency=high

  * adding missing tf build dependency
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 10 Dec 2012 21:29:00 -0000

ros-melodic-image-transport-plugins (1.8.6-1bionic) bionic; urgency=high

  * switching to version 1.8.6
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 10 Dec 2012 21:08:00 -0000

ros-melodic-image-transport-plugins (1.8.5-1bionic) bionic; urgency=high

  * more meta package fixing.. adding build debs
  * fixing meta package
  * fixed meta package
  * switching to 1.8.5
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 09 Dec 2012 06:00:00 -0000

ros-melodic-image-transport-plugins (1.8.4-1bionic) bionic; urgency=high

  * switching to version 1.8.4
  * adding image_transport_plugins meta package
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 30 Nov 2012 06:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-image-transport-plugins
 Section: misc
-Priority: extra
-Maintainer: David Gossow <dgossow@willowgarage.com>
+Priority: optional
+Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://www.ros.org/wiki/image_transport_plugins
 Standards-Version: 3.9.2
